# Find Path if Exists in Graph

> There is a **bi-directional** graph with `n` vertices, where each vertex is
> labeled from `0` to `n - 1` inclusive. The edges in the graph are represented
> as a 2D integer array `edges`, where each `edges[i]` =
> [`u`<sub>i</sub>,`v`<sub>i</sub>] denotes a bi-directional edge betwen vertex
> `u`<sub>i</sub> and vertex `v`<sub>i</sub>. Every vertex pair is connected by
> **at most one** edge, and no vertex has an edge to itself. You want to
> determine if ther is a **valid path** that exists from vertex `source` to
> vertex `destination`. Given `edges` and the integers `n`, `source`, and
> `destination`, return `true` if there is a valid path from `source` to
> `destination`, or `false` otherwise.

## Example 1:

```
            0 <--> 1
            ^      ^
            |__>2<_|
```

- Input: n = 3, edges = [[0, 1], [1, 2], [2, 0]], source = 0, destination = 2
- Output: true
- Explanation: There are two paths from vertex 0 to vertex 2:
  - 0 → 1 → 2
  - 0 → 2

## Example 2

```
    1 <--> 0 <--> 2     3 <--> 5
                        ^      ^
                        |__>4<_|
```

- Input: n = 6, edges = [[0,1],[0,2],[3,5],[5, 4],[4, 3]], source = 0,
  destination = 5
- Output: false
- Explanation: There is no path from vertex 0 to vertex 5.
